Skip to main content
GET
/
v1
/
payments
List payments
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/payments \
  --header 'Api-Key: <api-key>'
{
  "data": [
    {
      "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ",
      "merchant": {
        "id": "merchant_id",
        "name": "Acme Store",
        "iconUrl": "https://imagedelivery.net/example/icon.png"
      },
      "referenceId": "a1b2cad4e5f2783012345678axcdea90",
      "status": "succeeded",
      "isTerminal": true,
      "fiatAmount": {
        "unit": "iso4217/USD",
        "value": "10000",
        "display": {
          "assetSymbol": "USD",
          "assetName": "US Dollar",
          "decimals": 2
        }
      },
      "tokenAmount": {
        "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
        "value": "100000000",
        "display": {
          "assetSymbol": "USDC",
          "assetName": "USD Coin",
          "decimals": 6,
          "networkName": "Base",
          "iconUrl": "https://api.walletconnect.com/assets/v1/image/token/USDC/md",
          "networkIconUrl": "https://api.walletconnect.com/assets/v1/image/network/eip155%3A8453/md"
        }
      },
      "buyer": {
        "accountCaip10": "eip155:8453:0x0000000000000000000000000000000000000000",
        "accountProviderName": "MetaMask",
        "accountProviderIcon": "https://api.walletconnect.com/assets/v1/image/wallet/metamask/md"
      },
      "transaction": {
        "networkId": "8453",
        "hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
        "nonce": 42
      },
      "settlement": {
        "status": "pending",
        "txHash": "0x0000000000000000000000000000000000000000000000000000000000000000"
      },
      "createdAt": "2024-01-01T12:00:00.000Z",
      "lastUpdatedAt": "2024-01-01T12:00:00.000Z",
      "settledAt": "2024-01-01T12:00:00.000Z"
    }
  ],
  "nextCursor": null,
  "stats": {
    "totalRevenue": [
      {
        "amount": 1000,
        "currency": "USD"
      }
    ],
    "totalTransactions": 100,
    "totalCustomers": 25
  }
}

Authorizations

Api-Key
string
header
required

Headers

WCP-Version
string

Optional WalletConnect Pay API version override. If omitted, the partner's pinned version is used.

Examples:

"2026-02-18"

"2026-02-19.preview"

Query Parameters

startTs
string

RFC3339 timestamp, inclusive (e.g. 2026-01-06T00:00:00Z)

endTs
string

RFC3339 timestamp, exclusive (e.g. 2026-01-07T00:00:00Z)

asset
string

Comma-separated crypto currencies. Currently ignored.

network
string

Comma-separated chain IDs (matches chain_id).

sortBy
enum<string>
Available options:
date,
amount
sortDir
enum<string>
Available options:
asc,
desc
cursor
string

Opaque pagination cursor. Use value from nextCursor.

limit
integer

Page size (default 50, max 200)

Required range: 1 <= x <= 200
status
enum<string>[]

Filter by status. Repeat for multiple: ?status=succeeded&status=processing

Available options:
requires_action,
processing,
succeeded,
failed,
expired
merchantId
string[]

Filter by merchant ID. Repeat for multiple: ?merchantId=merchant_1&merchantId=merchant_2

Minimum string length: 1

Response

Payments with statistics

data
object[]
required
nextCursor
string | null
required
stats
object
required